org.apache.lucene.codecs.lucene86

## Class Lucene86Codec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.lucene86.Lucene86Codec

- All Implemented Interfaces:
    NamedSPILoader.NamedSPI

      public class Lucene86Codec
      extends Codec

  Implements the Lucene 8.6 index format, with configurable per-field postings and docvalues formats.

  If you want to reuse functionality of this codec in another codec, extend `FilterCodec`.

  See Also:
    `package documentation for file format details.`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lucene86Codec()` Instantiates a new codec.
    `Lucene86Codec(Lucene50StoredFieldsFormat.Mode mode)` Instantiates a new codec, specifying the stored fields compression mode to use.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompoundFormat` | `compoundFormat()`
    `DocValuesFormat` | `docValuesFormat()`
    `FieldInfosFormat` | `fieldInfosFormat()`
    `DocValuesFormat` | `getDocValuesFormatForField(String field)` Returns the docvalues format that should be used for writing new segments of `field`.
    `PostingsFormat` | `getPostingsFormatForField(String field)` Returns the postings format that should be used for writing new segments of `field`.
    `LiveDocsFormat` | `liveDocsFormat()`
    `NormsFormat` | `normsFormat()`
    `PointsFormat` | `pointsFormat()`
    `PostingsFormat` | `postingsFormat()`
    `SegmentInfoFormat` | `segmentInfoFormat()`
    `StoredFieldsFormat` | `storedFieldsFormat()`
    `TermVectorsFormat` | `termVectorsFormat()`

    - ### Methods inherited from class org.apache.lucene.codecs.Codec

      `availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Lucene86Codec

          public Lucene86Codec()

      Instantiates a new codec.

    - #### Lucene86Codec

          public Lucene86Codec(Lucene50StoredFieldsFormat.Mode mode)

      Instantiates a new codec, specifying the stored fields compression mode to use.
      Parameters:
        `mode` - stored fields compression mode to use for newly flushed/merged segments.

  - ### Method Detail

    - #### storedFieldsFormat

          public StoredFieldsFormat storedFieldsFormat()

      Specified by:
        `storedFieldsFormat` in class `Codec`

    - #### termVectorsFormat

          public final TermVectorsFormat termVectorsFormat()

      Specified by:
        `termVectorsFormat` in class `Codec`

    - #### postingsFormat

          public final PostingsFormat postingsFormat()

      Specified by:
        `postingsFormat` in class `Codec`

    - #### fieldInfosFormat

          public final FieldInfosFormat fieldInfosFormat()

      Specified by:
        `fieldInfosFormat` in class `Codec`

    - #### segmentInfoFormat

          public final SegmentInfoFormat segmentInfoFormat()

      Specified by:
        `segmentInfoFormat` in class `Codec`

    - #### liveDocsFormat

          public final LiveDocsFormat liveDocsFormat()

      Specified by:
        `liveDocsFormat` in class `Codec`

    - #### compoundFormat

          public final CompoundFormat compoundFormat()

      Specified by:
        `compoundFormat` in class `Codec`

    - #### pointsFormat

          public final PointsFormat pointsFormat()

      Specified by:
        `pointsFormat` in class `Codec`

    - #### getPostingsFormatForField

          public PostingsFormat getPostingsFormatForField(String field)

      Returns the postings format that should be used for writing new segments of `field`. The default implementation always returns "Lucene84".

      WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation.

    - #### getDocValuesFormatForField

          public DocValuesFormat getDocValuesFormatForField(String field)

      Returns the docvalues format that should be used for writing new segments of `field`. The default implementation always returns "Lucene80".

      WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation.

    - #### docValuesFormat

          public final DocValuesFormat docValuesFormat()

      Specified by:
        `docValuesFormat` in class `Codec`

    - #### normsFormat

          public final NormsFormat normsFormat()

      Specified by:
        `normsFormat` in class `Codec`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.